Bug 174904 - kernel update should not change non FC default kernel
kernel update should not change non FC default kernel
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-03 14:03 EST by Adam Pribyl
Modified: 2008-03-09 21:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 21:18:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Pribyl 2005-12-03 14:03:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
When updating kernel in FC4 then NEW kernel is written at the begining of grub.conf to be used as default kernel on next boot. However this shifts all kernels and, what is worse, changes default boot option even if the default is not a Fedora kernel.

This is extremely annoing for especialy for beginners with dual boot, when different system is default, or for people using their own kernel, as their custom defaul kernel is replaced by Fedora updated.

Version-Release number of selected component (if applicable):
mkinitrd-4.2.15-1

How reproducible:
Always

Steps to Reproduce:
1. Change default kernel in grub.conf to alternative OS
2. Update kernel

  

Actual Results:  Now your default boot is Fedora again.

Expected Results:  If default boot option is not a fedora kernel, do not change it.

Additional info:
Comment 1 Peter Jones 2006-02-28 10:48:14 EST
It only changes the default if the template is 'valid', which includes finding a
kernel and initrd as specified in the config that's specified as default.  So
really, this is behaving as desired.
Comment 2 Adam Pribyl 2006-02-28 15:50:48 EST
I am not sure if I understand what you mean. Here is an example of grub.conf:

before update
------ begin -------
default=0
timeout=5

title Linux
        root (hd0,1)
        kernel /image-2.6.15.4nv ro root=/dev/sda3 selinux=0

title Fedora Core (2.6.14-1.1656_FC4)
        root (hd0,1)
        kernel /vmlinuz-2.6.14-1.1656_FC4 ro root=LABEL=/ selinux=0
------ end ------

after update

------ begin -------
default=0
timeout=5

title Fedora Core (2.6.15-1.1831_FC4)
        root (hd0,1)
        kernel /vmlinuz-2.6.15-1.1831_FC4 ro root=LABEL=/ selinux=0
        initrd /initrd-2.6.15-1.1831_FC4.img

title Linux
        root (hd0,1)
        kernel /image-2.6.15.4nv ro root=/dev/sda3 selinux=0

title Fedora Core (2.6.14-1.1656_FC4)
        root (hd0,1)
        kernel /vmlinuz-2.6.14-1.1656_FC4 ro root=LABEL=/ selinux=0
        initrd /initrd-2.6.14-1.1656_FC4.img
------ end ------

If I understand you this should not happen. But this happens for me - and not at
one machine. So expect there is some bug in the logic that is looking for the
template.

Comment 3 Christian Iseli 2007-01-22 06:00:44 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 petrosyan 2008-03-09 21:18:54 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.